CompositeFormat (Lang 2.6)
Date: 2018-05-07

org.apache.commons.lang.text

## Class CompositeFormat

- java.lang.Object
- - java.text.Format
  - - org.apache.commons.lang.text.CompositeFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class CompositeFormat
      extends java.text.Format

  Formats using one formatter and parses using a different formatter. An example of use for this would be a webapp where data is taken in one way and stored in a database another way.
  Version:
    $Id: CompositeFormat.java 905636 2010-02-02 14:03:32Z niallp $
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.text.Format

      `java.text.Format.Field`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeFormat(java.text.Format parser, java.text.Format formatter)` Create a format that points its parseObject method to one implementation and its format method to another.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.StringBuffer` | `format(java.lang.Object obj, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos)` Uses the formatter Format instance.
    `java.text.Format` | `getFormatter()` Provides access to the parser Format implementation.
    `java.text.Format` | `getParser()` Provides access to the parser Format implementation.
    `java.lang.Object` | `parseObject(java.lang.String source, java.text.ParsePosition pos)` Uses the parser Format instance.
    `java.lang.String` | `reformat(java.lang.String input)` Utility method to parse and then reformat a String.

    - ### Methods inherited from class java.text.Format

      `clone, format, formatToCharacterIterator, parseObject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeFormat

          public CompositeFormat(java.text.Format parser,
                         java.text.Format formatter)

      Create a format that points its parseObject method to one implementation and its format method to another.
      Parameters:
        `parser` - implementation
        `formatter` - implementation

  - ### Method Detail

    - #### format

          public java.lang.StringBuffer format(java.lang.Object obj,
                                      java.lang.StringBuffer toAppendTo,
                                      java.text.FieldPosition pos)

      Uses the formatter Format instance.
      Specified by:
        `format` in class `java.text.Format`
      Parameters:
        `obj` - the object to format
        `toAppendTo` - the `StringBuffer` to append to
        `pos` - the FieldPosition to use (or ignore).
      Returns:
        `toAppendTo`
      See Also:
        `Format.format(Object, StringBuffer, FieldPosition)`

    - #### parseObject

          public java.lang.Object parseObject(java.lang.String source,
                                     java.text.ParsePosition pos)

      Uses the parser Format instance.
      Specified by:
        `parseObject` in class `java.text.Format`
      Parameters:
        `source` - the String source
        `pos` - the ParsePosition containing the position to parse from, will be updated according to parsing success (index) or failure (error index)
      Returns:
        the parsed Object
      See Also:
        `Format.parseObject(String, ParsePosition)`

    - #### getParser

          public java.text.Format getParser()

      Provides access to the parser Format implementation.
      Returns:
        parser Format implementation

    - #### getFormatter

          public java.text.Format getFormatter()

      Provides access to the parser Format implementation.
      Returns:
        formatter Format implementation

    - #### reformat

          public java.lang.String reformat(java.lang.String input)
                                    throws java.text.ParseException

      Utility method to parse and then reformat a String.
      Parameters:
        `input` - String to reformat
      Returns:
        A reformatted String
      Throws:
        `java.text.ParseException` - thrown by parseObject(String) call

Copyright © 2001-2018 - Apache Software Foundation